<?php

$_product = $this->getCurrentProduct();

$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$_modelDistributorFactory = $objectManager->create('Intesols\Distributor\Model\DistributorFactory');

$nationalIdArray = explode(',', $_product->getData('national_retailer'));
$resellerIdArray = explode(',', $_product->getData('reseller'));
$distributorIdArray = explode(',', $_product->getDistributor());

$distributorModel = $_modelDistributorFactory->create();
$resellerModel = $distributorModel->getCollection()->addFieldToFilter('id', array('in' => $resellerIdArray));
$nationalModel = $distributorModel->getCollection()->addFieldToFilter('id', array('in' => $nationalIdArray));

$prod_sku = $_product->getSku();
$productTypeInstance = $_product->getTypeInstance();
if ($_product->getTypeId() == \Magento\ConfigurableProduct\Model\Product\Type\Configurable::TYPE_CODE) {
	$usedProducts = $productTypeInstance->getUsedProducts($_product);
	$prod_sku = "";
	foreach ($usedProducts as $child) {
		$prod_sku = $child->getSku();
		break;
	}
}
?>


<div class="row">
   <div class="col-lg-12 col-md-12">
      <div class="row">
         <div class="panel-block-row col-md-12">
            <div class="row padding-top20">
               <div class="profile col-md-12">
                  <div class="row">
                     <div class="distributors">
                      <?php
                      if((count($nationalModel) + count($resellerModel)) == 0 ){
                        echo "Not Found!";
                      }else{ ?>                      
                        <?php $i = 0; ?>
                        <?php foreach ($nationalModel as $reseller) {
                          $i++;
                          $reseller_url = $reseller->getSearchString();
                        ?>
                          <?php if (isset($prod_sku)) {?>
                            <div class="col-md-3">
                              <a target="_blank" href="<?php echo str_replace('{{sku}}', $prod_sku, $reseller_url); ?>">
                              <img src="<?php echo $this->getUrl('pub/media') . $reseller->getLogo() ?>"
                              		alt="<?php echo $reseller->getName() ?>"/></a>
                            </div>			
                          <?php } ?>
                        <?php if($i > 3) { $i = 0; ?>
                             <div class="clearfix"></div>
                        <?php } ?>                          
                        <?php } ?>
                        <?php foreach ($resellerModel as $reseller) {
                          $i++;
                          $reseller_url = $reseller->getSearchString();
                        ?>
                          <?php if (isset($prod_sku)) {?>
                            <div class="col-md-3">
                              <a target="_blank" href="<?php echo str_replace('{{sku}}', $prod_sku, $reseller_url); ?>">
                              <img src="<?php echo $this->getUrl('pub/media') . $reseller->getLogo() ?>"
                                  alt="<?php echo $reseller->getName() ?>"/></a>
                            </div>      
                          <?php } ?>
                          <?php if($i > 3) { $i = 0; ?>
                             <div class="clearfix"></div>
                        <?php } ?>
                        <?php } ?>                        
                        <?php } ?>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
